package com.ruoyi.system.domain.fg;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

public class Overview extends BaseEntity {

    @Excel(name = "用户名称")
    private String name;
    @Excel(name = "用户编码")
    private String uuid;
    @Excel(name = "场均直播时长")
    private String AvgDurationStr;
    @Excel(name = "场均销量")
    private String AvgLiveSaleCountStr;
    @Excel(name = "场均销售额")
    private String AvgLiveSaleGmvStr;
    @Excel(name = "场均观看人次")
    private String AvgLiveTotalUserCountStr;
    @Excel(name = "场均人气峰值")
    private String AvgLiveUserCountStr;
    @Excel(name = "直播客单价")
    private String AvgUserPriceStr;

    @Excel(name = "带货直播")
    private String CommerceLiveCountStr;
    @Excel(name = "直播场次")
    private String LiveCountStr;
    @Excel(name = "直播销量")
    private String LiveSaleCountStr;
    @Excel(name = "直播销售额")
    private String LiveSaleGmvStr;
    @Excel(name = "最高观看")
    private String MaxLiveTotalUserCountStr;
    @Excel(name = "人均UV价值")
    private String UVStr;

    /**===   ===**/

    @Excel(name = "平均销量")
    private String AvgAwemeSaleCountStr;
    @Excel(name = "平均销售额")
    private String AvgAwemeSaleGmvStr;
    @Excel(name = "平均评论")
    private String AvgCommentCountStr;
    @Excel(name = "平均赞评比")
    private String AvgLikeCommentRateStr;
    @Excel(name = "平均点赞")
    private String AvgLikeCountStr;
    @Excel(name = "视频数")
    private String AwemeCountStr;
    @Excel(name = "视频销量")
    private String AwemeSaleCountStr;
    @Excel(name = "视频销售额")
    private String AwemeSaleGmvStr;
    @Excel(name = "带货视频")
    private String CommerceAwemeCountStr;
    @Excel(name = "最高评论")
    private String MaxCommentCountStr;
    @Excel(name = "最高赞评比")
    private String MaxLikeCommentRateStr;
    @Excel(name = "最高点赞")
    private String MaxLikeCountStr;

    /**===  种草数据 ===**/
    @Excel(name = "星图报价")
    private String BloggerPriceStr;
    @Excel(name = "种草品牌")
    private String BrandCountStr;
    @Excel(name = "CPE")
    private String CPEStr;
    @Excel(name = "种草品类")
    private String CateCountStr;
    @Excel(name = "种草视频")
    private String GrassVideoCountStr;
    @Excel(name = "主要种草类目")
    private String MainCateNameStr;
    @Excel(name = "主要种草类目百分比")
    private String MainCateRatioStr;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getAvgDurationStr() {
        return AvgDurationStr;
    }

    public void setAvgDurationStr(String avgDurationStr) {
        AvgDurationStr = avgDurationStr;
    }

    public String getAvgLiveSaleCountStr() {
        return AvgLiveSaleCountStr;
    }

    public void setAvgLiveSaleCountStr(String avgLiveSaleCountStr) {
        AvgLiveSaleCountStr = avgLiveSaleCountStr;
    }

    public String getAvgLiveSaleGmvStr() {
        return AvgLiveSaleGmvStr;
    }

    public void setAvgLiveSaleGmvStr(String avgLiveSaleGmvStr) {
        AvgLiveSaleGmvStr = avgLiveSaleGmvStr;
    }

    public String getAvgLiveTotalUserCountStr() {
        return AvgLiveTotalUserCountStr;
    }

    public void setAvgLiveTotalUserCountStr(String avgLiveTotalUserCountStr) {
        AvgLiveTotalUserCountStr = avgLiveTotalUserCountStr;
    }

    public String getAvgLiveUserCountStr() {
        return AvgLiveUserCountStr;
    }

    public void setAvgLiveUserCountStr(String avgLiveUserCountStr) {
        AvgLiveUserCountStr = avgLiveUserCountStr;
    }

    public String getAvgUserPriceStr() {
        return AvgUserPriceStr;
    }

    public void setAvgUserPriceStr(String avgUserPriceStr) {
        AvgUserPriceStr = avgUserPriceStr;
    }

    public String getCommerceLiveCountStr() {
        return CommerceLiveCountStr;
    }

    public void setCommerceLiveCountStr(String commerceLiveCountStr) {
        CommerceLiveCountStr = commerceLiveCountStr;
    }

    public String getLiveCountStr() {
        return LiveCountStr;
    }

    public void setLiveCountStr(String liveCountStr) {
        LiveCountStr = liveCountStr;
    }

    public String getLiveSaleCountStr() {
        return LiveSaleCountStr;
    }

    public void setLiveSaleCountStr(String liveSaleCountStr) {
        LiveSaleCountStr = liveSaleCountStr;
    }

    public String getLiveSaleGmvStr() {
        return LiveSaleGmvStr;
    }

    public void setLiveSaleGmvStr(String liveSaleGmvStr) {
        LiveSaleGmvStr = liveSaleGmvStr;
    }

    public String getMaxLiveTotalUserCountStr() {
        return MaxLiveTotalUserCountStr;
    }

    public void setMaxLiveTotalUserCountStr(String maxLiveTotalUserCountStr) {
        MaxLiveTotalUserCountStr = maxLiveTotalUserCountStr;
    }

    public String getUVStr() {
        return UVStr;
    }

    public void setUVStr(String UVStr) {
        this.UVStr = UVStr;
    }

    public String getAvgAwemeSaleCountStr() {
        return AvgAwemeSaleCountStr;
    }

    public void setAvgAwemeSaleCountStr(String avgAwemeSaleCountStr) {
        AvgAwemeSaleCountStr = avgAwemeSaleCountStr;
    }

    public String getAvgAwemeSaleGmvStr() {
        return AvgAwemeSaleGmvStr;
    }

    public void setAvgAwemeSaleGmvStr(String avgAwemeSaleGmvStr) {
        AvgAwemeSaleGmvStr = avgAwemeSaleGmvStr;
    }

    public String getAvgCommentCountStr() {
        return AvgCommentCountStr;
    }

    public void setAvgCommentCountStr(String avgCommentCountStr) {
        AvgCommentCountStr = avgCommentCountStr;
    }

    public String getAvgLikeCommentRateStr() {
        return AvgLikeCommentRateStr;
    }

    public void setAvgLikeCommentRateStr(String avgLikeCommentRateStr) {
        AvgLikeCommentRateStr = avgLikeCommentRateStr;
    }

    public String getAvgLikeCountStr() {
        return AvgLikeCountStr;
    }

    public void setAvgLikeCountStr(String avgLikeCountStr) {
        AvgLikeCountStr = avgLikeCountStr;
    }

    public String getAwemeCountStr() {
        return AwemeCountStr;
    }

    public void setAwemeCountStr(String awemeCountStr) {
        AwemeCountStr = awemeCountStr;
    }

    public String getAwemeSaleCountStr() {
        return AwemeSaleCountStr;
    }

    public void setAwemeSaleCountStr(String awemeSaleCountStr) {
        AwemeSaleCountStr = awemeSaleCountStr;
    }

    public String getAwemeSaleGmvStr() {
        return AwemeSaleGmvStr;
    }

    public void setAwemeSaleGmvStr(String awemeSaleGmvStr) {
        AwemeSaleGmvStr = awemeSaleGmvStr;
    }

    public String getCommerceAwemeCountStr() {
        return CommerceAwemeCountStr;
    }

    public void setCommerceAwemeCountStr(String commerceAwemeCountStr) {
        CommerceAwemeCountStr = commerceAwemeCountStr;
    }

    public String getMaxCommentCountStr() {
        return MaxCommentCountStr;
    }

    public void setMaxCommentCountStr(String maxCommentCountStr) {
        MaxCommentCountStr = maxCommentCountStr;
    }

    public String getMaxLikeCommentRateStr() {
        return MaxLikeCommentRateStr;
    }

    public void setMaxLikeCommentRateStr(String maxLikeCommentRateStr) {
        MaxLikeCommentRateStr = maxLikeCommentRateStr;
    }

    public String getMaxLikeCountStr() {
        return MaxLikeCountStr;
    }

    public void setMaxLikeCountStr(String maxLikeCountStr) {
        MaxLikeCountStr = maxLikeCountStr;
    }

    public String getBloggerPriceStr() {
        return BloggerPriceStr;
    }

    public void setBloggerPriceStr(String bloggerPriceStr) {
        BloggerPriceStr = bloggerPriceStr;
    }

    public String getBrandCountStr() {
        return BrandCountStr;
    }

    public void setBrandCountStr(String brandCountStr) {
        BrandCountStr = brandCountStr;
    }

    public String getCPEStr() {
        return CPEStr;
    }

    public void setCPEStr(String CPEStr) {
        this.CPEStr = CPEStr;
    }

    public String getCateCountStr() {
        return CateCountStr;
    }

    public void setCateCountStr(String cateCountStr) {
        CateCountStr = cateCountStr;
    }

    public String getGrassVideoCountStr() {
        return GrassVideoCountStr;
    }

    public void setGrassVideoCountStr(String grassVideoCountStr) {
        GrassVideoCountStr = grassVideoCountStr;
    }

    public String getMainCateNameStr() {
        return MainCateNameStr;
    }

    public void setMainCateNameStr(String mainCateNameStr) {
        MainCateNameStr = mainCateNameStr;
    }

    public String getMainCateRatioStr() {
        return MainCateRatioStr;
    }

    public void setMainCateRatioStr(String mainCateRatioStr) {
        MainCateRatioStr = mainCateRatioStr;
    }
}
